### Method

# Gio AppLaunchContext get_startup_notify_id

#### Declaration

    char*
    g_app_launch_context_get_startup_notify_id (
      GAppLaunchContext* context,
      GAppInfo* info,
      GList* files
    )

#### Description

Initiates startup notification for the application and returns the `XDG_ACTIVATION_TOKEN` or `DESKTOP_STARTUP_ID` for the launched operation, if supported.

The returned token may be referred to equivalently as an ‘activation token’ (using Wayland terminology) or a ‘startup sequence ID’ (using X11 terminology). The two are interoperable.

Activation tokens are defined in the XDG Activation Protocol, and startup notification IDs are defined in the freedesktop.org Startup Notification Protocol.

Support for the XDG Activation Protocol was added in GLib 2.76.

#### Parameters

`info`

  Type: `GAppInfo`

  A `GAppInfo`.

  The data is owned by the caller of the method.

`files`

  Type: A list of `None`

  A `GList` of `GFile` objects.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A startup notification ID for the application, or `NULL` if not supported.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.